0.9.9 API documenation: GLM_GTX_matrix_operation

| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_operation
Experimental extensions

Include <glm/gtx/matrix_operation.hpp> to use the features of this extension. More...

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | diagonal2x2 (vec< 2, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 3, T, Q > | diagonal2x3 (vec< 2, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 4, T, Q > | diagonal2x4 (vec< 2, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 2, T, Q > | diagonal3x2 (vec< 2, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | diagonal3x3 (vec< 3, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 4, T, Q > | diagonal3x4 (vec< 3, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 2, T, Q > | diagonal4x2 (vec< 2, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 3, T, Q > | diagonal4x3 (vec< 3, T, Q > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | diagonal4x4 (vec< 4, T, Q > const &v)
| Build a diagonal matrix. More...

## Detailed Description

Include <glm/gtx/matrix_operation.hpp> to use the features of this extension.

Build diagonal matrices from vectors.

## Function Documentation

GLM_FUNC_DECL mat<2, 2, T, Q> glm::diagonal2x2 | ( | vec< 2, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<2, 3, T, Q> glm::diagonal2x3 | ( | vec< 2, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<2, 4, T, Q> glm::diagonal2x4 | ( | vec< 2, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<3, 2, T, Q> glm::diagonal3x2 | ( | vec< 2, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<3, 3, T, Q> glm::diagonal3x3 | ( | vec< 3, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<3, 4, T, Q> glm::diagonal3x4 | ( | vec< 3, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<4, 2, T, Q> glm::diagonal4x2 | ( | vec< 2, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<4, 3, T, Q> glm::diagonal4x3 | ( | vec< 3, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL mat<4, 4, T, Q> glm::diagonal4x4 | ( | vec< 4, T, Q > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.